//// Cube ----------------------------------------------
var Cube = function (paper, size){
	this.paper = paper;
	if (size === undefined){
		size = 10;
	}
	this.x = size;
	this.y = size;
	this.z = -size/2;
	this.add3DPoint(0,0,0);
	this.add3DPoint(size,0,0);
	this.add3DPoint(size,0,size);
	this.add3DPoint(0,0,size);
	this.add3DPoint(0,size,0);
	this.add3DPoint(size,size,0);
	this.add3DPoint(size,size,size);
	this.add3DPoint(0,size,size);

	//hack to be sure that points are loaded before linking them
	if(this.pointsArray3D.length == 8){
		this.addEdge(0, 1);
		this.addEdge(1, 2);
		this.addEdge(2, 3);
		this.addEdge(3, 0);
		this.addEdge(0, 4);
		this.addEdge(1, 5);
		this.addEdge(2, 6);
		this.addEdge(3, 7);
		this.addEdge(4, 5);
		this.addEdge(5, 6);
		this.addEdge(6, 7);
		this.addEdge(7, 4);
	}

};

Cube.prototype = new Object3D();